Page MenuHomePhabricator

Add basic .arclint that will handle pep8 and pylint checks
ClosedPublic

Authored by GerritToPhabBot on Oct 5 2015, 5:29 PM.

Details

Reviewers
thcipriani
dduvall
mmodell
20after4
Group Reviewers
Release-Engineering-Team
Commits
rMWTS15b60a272280: Add basic .arclint that will handle pep8 and pylint checks
rMSCA15b60a272280: Add basic .arclint that will handle pep8 and pylint checks
Patch without arc
git checkout -b D8 && curl -L https://phabricator.wikimedia.org/D8?download=true | git apply
Summary

Change-Id: Ibc4208ec1f23468509464b19d772e42313d931bc

Test Plan

Ran arc lint

Diff Detail

Repository
rMSCA Scap
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

GerritToPhabBot retitled this revision from to Add basic .arclint that will handle pep8 and pylint checks.
GerritToPhabBot updated this object.
GerritToPhabBot edited the test plan for this revision. (Show Details)
demon added a subscriber: demon.

Bleh, it was working. Now it's saying "no paths to lint"

mmodell accepted this revision.Oct 5 2015, 5:52 PM
mmodell added a reviewer: mmodell.
This revision is now accepted and ready to land.Oct 5 2015, 5:52 PM

@demon: It works for me.

demon added a comment.Oct 5 2015, 5:59 PM

Grrr how was GerritToPhabBot my author?

demon added a comment.Oct 5 2015, 6:00 PM

Mea culpa...

This revision was automatically updated to reflect the committed changes.
Cmjohnson mentioned this in Unknown Object (Task).Aug 18 2016, 5:45 PM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptFeb 23 2018, 11:43 AM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
RobH mentioned this in Unknown Object (Task).Aug 29 2018, 3:57 PM